> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Action Parameters

> **Required plan:** Professional or Enterprise.

Get task parameters based on the specific action. For example, the URL from 'Go to Web Page' or the text from 'Enter Text'.



## OpenAPI

````yaml /en/api/openapi.json post /task/getActions
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /task/getActions:
    post:
      tags:
        - Task
      summary: Get Action Parameters
      description: >-
        **Required plan:** Professional or Enterprise.


        Get task parameters based on the specific action. For example, the URL
        from 'Go to Web Page' or the text from 'Enter Text'.
      operationId: getActionParameters
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskIds
                - actionTypes
              properties:
                taskIds:
                  type: array
                  items:
                    type: string
                  description: List of task IDs
                actionTypes:
                  type: array
                  items:
                    type: string
                  description: List of action types to retrieve parameters for
                  example:
                    - LoopAction
                    - NavigateAction
                    - EnterTextAction
      responses:
        '200':
          description: Action parameters retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        taskId:
                          type: string
                        actions:
                          type: array
                          items:
                            type: object
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````